## python-telegram-bot-13.1.20210105-1.src.tar.gz

=== requirements.txt ===
certifi
tornado>=5.1
cryptography
decorator>=4.4.0
APScheduler==3.6.3
pytz>=2018.6

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>

pkgname=python-telegram-bot
pkgver=13.1.20210105
_commit=6903d58142d4be1b7c5fdda82608e66dd50ecf2b
pkgrel=1
pkgdesc="A pure Python interface for the Telegram Bot AP"
url="https://github.com/python-telegram-bot/python-telegram-bot"
license=('LGPL')
arch=('any')
depends=('python-apscheduler' 'python-cryptography' 'python-decorator' 'python-tornado'
         'python-ujson' 'python-urllib3' 'python-pytz')
makedepends=('python-setuptools')
checkdepends=('python-beautifulsoup4' 'python-flaky' 'python-pytest-timeout')
source=("https://github.com/python-telegram-bot/python-telegram-bot/archive/$_commit/$pkgname-$pkgver.tar.gz")
sha512sums=('f7a39baaa997ce9c2a91fd34e04b051dd25b6a3c6e7e4b035d8483609d51a3b8f11094587e2131f1faf97a8bcdc8adbe50fe5b3881c41551994a32b71b43932d')

prepare() {
  cd python-telegram-bot-$_commit

  rm -r telegram/vendor

  # Use system cert store
  sed -i '/certifi/d' telegram/__main__.py requirements.txt
  sed -e '/import certifi/d' \
      -e 's|certifi.where()|"/etc/ssl/certs/ca-certificates.crt"|' \
      -i telegram/utils/request.py tests/test_official.py

  # Fixes for new pytest
  sed -i '/pytest.mark.nocoverage/d' tests/test_meta.py
  sed -i '/ message=/d' tests/test_constants.py

  # Fixes for testing with system urllib3
  sed -i 's/from telegram.vendor.ptb_urllib3 import urllib3/import urllib3/' tests/test_official.py
  sed -i 's/from telegram.vendor.ptb_urllib3.urllib3/from urllib3/' tests/test_bot.py
  sed -e '/telegram.utils.deprecate.TelegramDeprecationWarning/i \    ignore:python-telegram-bot is using upstream urllib3. This is allowed but not supported by python-telegram-bot maintainers.:UserWarning' \
      -i setup.cfg
  
  # Spacing difference
  sed -i 's/"switch_inline_query": ""/"switch_inline_query":""/;s/"switch_inline_query_current_chat": ""/"switch_inline_query_current_chat":""/' tests/test_inlinekeyboardmarkup.py
}

build() {
  cd python-telegram-bot-$_commit
  python setup.py build --with-upstream-urllib3
}

check() {
  cd python-telegram-bot-$_commit
  # test_run_monthly: fails on upstream ci too
  # test_get_updates_bailout_err: seems to be a test error TODO
  python -m pytest --deselect tests/test_jobqueue.py::TestJobQueue::test_run_monthly --deselect tests/test_updater.py::TestUpdater::test_get_updates_bailout_err
}

package() {
  cd python-telegram-bot-$_commit
  python setup.py install --root="$pkgdir" --optimize=1 --with-upstream-urllib3
}
